@REM Turn off displaying of commands
@ECHO OFF

@REM ENABLEDELAYEDEXPANSION Allows for loops and if statements to execute in a manner similar to programming languages. Use ! instead of % to expand environment variable value.
SETLOCAL ENABLEDELAYEDEXPANSION

@REM User input
SET /p LOOPS=Enter the number of times a song should play before it fades (1 or 2): 

SET /p FADE=Enter the number of seconds for the fade out: 

SET /p PAD=Enter the number of seconds for the ending silence of non-fade tracks: 

ECHO.

ECHO Select one of the following:
ECHO 1. Filenames with titles
ECHO 2. Original filenames
SET /p CHOICE=Enter the number of your choice (1 or 2): 

CALL:RENAME_FILES_TO_ORIGINAL

IF %LOOPS% == 1 (
CALL :SET_LENGTH_TO_1LOOP
) ELSE (
CALL:SET_LENGTH_TO_2LOOPS
)

CALL:MODIFY_SONG_ENDS

IF NOT %CHOICE% == 2 (
CALL:RENAME_FILES_WITH_TITLES
)

ECHO.
ECHO The files have been updated. Check above for any error messages.
ECHO Press any key to exit.
PAUSE > nul



GOTO:EOF


:RENAME_FILES_TO_ORIGINAL
rename "01 Story Music Box (Windup Version).mini2sf" "NTR-AYWP-EUR1-0000.mini2sf"
rename "02 Yoshi's Island DS.mini2sf" "NTR-AYWP-EUR1-0001.mini2sf"
rename "03 Opening Pt. 1.mini2sf" "NTR-AYWP-EUR1-0003.mini2sf"
rename "04 Opening Pt. 2.mini2sf" "NTR-AYWP-EUR1-0015.mini2sf"
rename "05 Map.mini2sf" "NTR-AYWP-EUR1-0002.mini2sf"
rename "06 Stage Start.mini2sf" "NTR-AYWP-EUR1-0016.mini2sf"
rename "07 Training Course.mini2sf" "NTR-AYWP-EUR1-0004.mini2sf"
rename "08 Flower Garden.mini2sf" "NTR-AYWP-EUR2-0000.mini2sf"
rename "09 Flower Field.mini2sf" "NTR-AYWP-EUR2-0001.mini2sf"
rename "10 Underground.mini2sf" "NTR-AYWP-EUR1-0007.mini2sf"
rename "11 Wildlands.mini2sf" "NTR-AYWP-EUR1-000c.mini2sf"
rename "12 Jungle.mini2sf" "NTR-AYWP-EUR1-0009.mini2sf"
rename "13 In the Clouds.mini2sf" "NTR-AYWP-EUR1-000b.mini2sf"
rename "14 Sea Coast.mini2sf" "NTR-AYWP-EUR1-0008.mini2sf"
rename "15 Goal.mini2sf" "NTR-AYWP-EUR1-0017.mini2sf"
rename "16 Goal Roulette.mini2sf" "NTR-AYWP-EUR1-0020.mini2sf"
rename "17 Score.mini2sf" "NTR-AYWP-EUR1-0005.mini2sf"
rename "18 Bonus Challenge.mini2sf" "NTR-AYWP-EUR1-000d.mini2sf"
rename "19 Bonus Challenge Victory.mini2sf" "NTR-AYWP-EUR1-0019.mini2sf"
rename "20 Castle & Fortress.mini2sf" "NTR-AYWP-EUR1-000a.mini2sf"
rename "21 Boss Room.mini2sf" "NTR-AYWP-EUR1-0010.mini2sf"
rename "22 Kamek's Theme.mini2sf" "NTR-AYWP-EUR1-000e.mini2sf"
rename "23 Kamek's Magic.mini2sf" "NTR-AYWP-EUR1-001c.mini2sf"
rename "24 Mini-Boss.mini2sf" "NTR-AYWP-EUR1-000f.mini2sf"
rename "25 Big Boss.mini2sf" "NTR-AYWP-EUR1-0011.mini2sf"
rename "26 Boss Clear.mini2sf" "NTR-AYWP-EUR1-001a.mini2sf"
rename "27 Bowser.mini2sf" "NTR-AYWP-EUR1-0012.mini2sf"
rename "28 Bowser Clear.mini2sf" "NTR-AYWP-EUR1-0021.mini2sf"
rename "29 Luigi is Rescued.mini2sf" "NTR-AYWP-EUR1-0013.mini2sf"
rename "30 Ending.mini2sf" "NTR-AYWP-EUR1-0014.mini2sf"
rename "31 Yoshi Morph.mini2sf" "NTR-AYWP-EUR1-001b.mini2sf"
rename "32 Powerful Infant.mini2sf" "NTR-AYWP-EUR1-0006.mini2sf"
rename "33 Player Down.mini2sf" "NTR-AYWP-EUR1-0018.mini2sf"
rename "34 Unknown Song.mini2sf" "NTR-AYWP-EUR1-001d.mini2sf"
rename "35 Unknown Jingle 1.mini2sf" "NTR-AYWP-EUR1-001e.mini2sf"
rename "36 Unknown Jingle 2.mini2sf" "NTR-AYWP-EUR1-001f.mini2sf"
rename "37 Unknown Jingle 3.mini2sf" "NTR-AYWP-EUR1-0022.mini2sf"

GOTO:EOF


:RENAME_FILES_WITH_TITLES
rename "NTR-AYWP-EUR1-0000.mini2sf" "01 Story Music Box (Windup Version).mini2sf"
rename "NTR-AYWP-EUR1-0001.mini2sf" "02 Yoshi's Island DS.mini2sf"
rename "NTR-AYWP-EUR1-0003.mini2sf" "03 Opening Pt. 1.mini2sf"
rename "NTR-AYWP-EUR1-0015.mini2sf" "04 Opening Pt. 2.mini2sf"
rename "NTR-AYWP-EUR1-0002.mini2sf" "05 Map.mini2sf"
rename "NTR-AYWP-EUR1-0016.mini2sf" "06 Stage Start.mini2sf"
rename "NTR-AYWP-EUR1-0004.mini2sf" "07 Training Course.mini2sf"
rename "NTR-AYWP-EUR2-0000.mini2sf" "08 Flower Garden.mini2sf"
rename "NTR-AYWP-EUR2-0001.mini2sf" "09 Flower Field.mini2sf"
rename "NTR-AYWP-EUR1-0007.mini2sf" "10 Underground.mini2sf"
rename "NTR-AYWP-EUR1-000c.mini2sf" "11 Wildlands.mini2sf"
rename "NTR-AYWP-EUR1-0009.mini2sf" "12 Jungle.mini2sf"
rename "NTR-AYWP-EUR1-000b.mini2sf" "13 In the Clouds.mini2sf"
rename "NTR-AYWP-EUR1-0008.mini2sf" "14 Sea Coast.mini2sf"
rename "NTR-AYWP-EUR1-0017.mini2sf" "15 Goal.mini2sf"
rename "NTR-AYWP-EUR1-0020.mini2sf" "16 Goal Roulette.mini2sf"
rename "NTR-AYWP-EUR1-0005.mini2sf" "17 Score.mini2sf"
rename "NTR-AYWP-EUR1-000d.mini2sf" "18 Bonus Challenge.mini2sf"
rename "NTR-AYWP-EUR1-0019.mini2sf" "19 Bonus Challenge Victory.mini2sf"
rename "NTR-AYWP-EUR1-000a.mini2sf" "20 Castle & Fortress.mini2sf"
rename "NTR-AYWP-EUR1-0010.mini2sf" "21 Boss Room.mini2sf"
rename "NTR-AYWP-EUR1-000e.mini2sf" "22 Kamek's Theme.mini2sf"
rename "NTR-AYWP-EUR1-001c.mini2sf" "23 Kamek's Magic.mini2sf"
rename "NTR-AYWP-EUR1-000f.mini2sf" "24 Mini-Boss.mini2sf"
rename "NTR-AYWP-EUR1-0011.mini2sf" "25 Big Boss.mini2sf"
rename "NTR-AYWP-EUR1-001a.mini2sf" "26 Boss Clear.mini2sf"
rename "NTR-AYWP-EUR1-0012.mini2sf" "27 Bowser.mini2sf"
rename "NTR-AYWP-EUR1-0021.mini2sf" "28 Bowser Clear.mini2sf"
rename "NTR-AYWP-EUR1-0013.mini2sf" "29 Luigi is Rescued.mini2sf"
rename "NTR-AYWP-EUR1-0014.mini2sf" "30 Ending.mini2sf"
rename "NTR-AYWP-EUR1-001b.mini2sf" "31 Yoshi Morph.mini2sf"
rename "NTR-AYWP-EUR1-0006.mini2sf" "32 Powerful Infant.mini2sf"
rename "NTR-AYWP-EUR1-0018.mini2sf" "33 Player Down.mini2sf"
rename "NTR-AYWP-EUR1-001d.mini2sf" "34 Unknown Song.mini2sf"
rename "NTR-AYWP-EUR1-001e.mini2sf" "35 Unknown Jingle 1.mini2sf"
rename "NTR-AYWP-EUR1-001f.mini2sf" "36 Unknown Jingle 2.mini2sf"
rename "NTR-AYWP-EUR1-0022.mini2sf" "37 Unknown Jingle 3.mini2sf"

GOTO:EOF



:SET_LENGTH_TO_1LOOP

psfpoint.exe -length="2:41" NTR-AYWP-EUR1-0000.mini2sf
psfpoint.exe -length="2:12" NTR-AYWP-EUR1-0001.mini2sf
psfpoint.exe -length="0:07" NTR-AYWP-EUR1-0002.mini2sf
psfpoint.exe -length="0:35" NTR-AYWP-EUR1-0003.mini2sf
psfpoint.exe -length="0:14" NTR-AYWP-EUR1-0004.mini2sf
psfpoint.exe -length="0:23" NTR-AYWP-EUR1-0005.mini2sf
psfpoint.exe -length="0:33" NTR-AYWP-EUR1-0006.mini2sf
psfpoint.exe -length="0:51" NTR-AYWP-EUR1-0007.mini2sf
psfpoint.exe -length="1:05" NTR-AYWP-EUR1-0008.mini2sf
psfpoint.exe -length="1:02" NTR-AYWP-EUR1-0009.mini2sf
psfpoint.exe -length="1:01" NTR-AYWP-EUR1-000A.mini2sf
psfpoint.exe -length="0:49" NTR-AYWP-EUR1-000B.mini2sf
psfpoint.exe -length="1:22" NTR-AYWP-EUR1-000C.mini2sf
psfpoint.exe -length="0:35" NTR-AYWP-EUR1-000D.mini2sf
psfpoint.exe -length="0:10" NTR-AYWP-EUR1-000E.mini2sf
psfpoint.exe -length="1:02" NTR-AYWP-EUR1-000F.mini2sf
psfpoint.exe -length="1:06" NTR-AYWP-EUR1-0010.mini2sf
psfpoint.exe -length="1:36" NTR-AYWP-EUR1-0011.mini2sf
psfpoint.exe -length="0:51" NTR-AYWP-EUR1-0012.mini2sf
psfpoint.exe -length="0:20" NTR-AYWP-EUR1-0013.mini2sf
psfpoint.exe -length="1:43" NTR-AYWP-EUR1-0014.mini2sf
psfpoint.exe -length="1:09" NTR-AYWP-EUR1-0015.mini2sf
psfpoint.exe -length="0:03" NTR-AYWP-EUR1-0016.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-0017.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-0018.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-0019.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-001A.mini2sf
psfpoint.exe -length="0:02" NTR-AYWP-EUR1-001B.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-001C.mini2sf
psfpoint.exe -length="0:08" NTR-AYWP-EUR1-001D.mini2sf
psfpoint.exe -length="0:02" NTR-AYWP-EUR1-001E.mini2sf
psfpoint.exe -length="0:01" NTR-AYWP-EUR1-001F.mini2sf
psfpoint.exe -length="0:02" NTR-AYWP-EUR1-0020.mini2sf
psfpoint.exe -length="0:11" NTR-AYWP-EUR1-0021.mini2sf
psfpoint.exe -length="0:05" NTR-AYWP-EUR1-0022.mini2sf
psfpoint.exe -length="1:17" NTR-AYWP-EUR2-0000.mini2sf
psfpoint.exe -length="0:59" NTR-AYWP-EUR2-0001.mini2sf

GOTO:EOF


:SET_LENGTH_TO_2LOOPS
psfpoint.exe -length="3:00" NTR-AYWP-EUR1-0000.mini2sf
psfpoint.exe -length="3:07" NTR-AYWP-EUR1-0001.mini2sf
psfpoint.exe -length="0:15" NTR-AYWP-EUR1-0002.mini2sf
psfpoint.exe -length="1:11" NTR-AYWP-EUR1-0003.mini2sf
psfpoint.exe -length="0:29" NTR-AYWP-EUR1-0004.mini2sf
psfpoint.exe -length="0:39" NTR-AYWP-EUR1-0005.mini2sf
psfpoint.exe -length="0:50" NTR-AYWP-EUR1-0006.mini2sf
psfpoint.exe -length="1:42" NTR-AYWP-EUR1-0007.mini2sf
psfpoint.exe -length="2:10" NTR-AYWP-EUR1-0008.mini2sf
psfpoint.exe -length="2:05" NTR-AYWP-EUR1-0009.mini2sf
psfpoint.exe -length="2:02" NTR-AYWP-EUR1-000A.mini2sf
psfpoint.exe -length="1:35" NTR-AYWP-EUR1-000B.mini2sf
psfpoint.exe -length="2:43" NTR-AYWP-EUR1-000C.mini2sf
psfpoint.exe -length="1:07" NTR-AYWP-EUR1-000D.mini2sf
psfpoint.exe -length="0:21" NTR-AYWP-EUR1-000E.mini2sf
psfpoint.exe -length="2:05" NTR-AYWP-EUR1-000F.mini2sf
psfpoint.exe -length="2:12" NTR-AYWP-EUR1-0010.mini2sf
psfpoint.exe -length="3:12" NTR-AYWP-EUR1-0011.mini2sf
psfpoint.exe -length="1:31" NTR-AYWP-EUR1-0012.mini2sf
psfpoint.exe -length="0:20" NTR-AYWP-EUR1-0013.mini2sf
psfpoint.exe -length="3:24" NTR-AYWP-EUR1-0014.mini2sf
psfpoint.exe -length="2:19" NTR-AYWP-EUR1-0015.mini2sf
psfpoint.exe -length="0:03" NTR-AYWP-EUR1-0016.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-0017.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-0018.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-0019.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-001A.mini2sf
psfpoint.exe -length="0:02" NTR-AYWP-EUR1-001B.mini2sf
psfpoint.exe -length="0:04" NTR-AYWP-EUR1-001C.mini2sf
psfpoint.exe -length="0:17" NTR-AYWP-EUR1-001D.mini2sf
psfpoint.exe -length="0:02" NTR-AYWP-EUR1-001E.mini2sf
psfpoint.exe -length="0:01" NTR-AYWP-EUR1-001F.mini2sf
psfpoint.exe -length="0:02" NTR-AYWP-EUR1-0020.mini2sf
psfpoint.exe -length="0:11" NTR-AYWP-EUR1-0021.mini2sf
psfpoint.exe -length="0:05" NTR-AYWP-EUR1-0022.mini2sf
psfpoint.exe -length="2:30" NTR-AYWP-EUR2-0000.mini2sf
psfpoint.exe -length="1:51" NTR-AYWP-EUR2-0001.mini2sf

GOTO:EOF


:MODIFY_SONG_ENDS
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0000.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0001.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0002.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0003.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0004.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0005.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0006.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0007.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0008.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0009.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-000A.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-000B.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-000C.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-000D.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-000E.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-000F.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0010.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0011.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0012.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0014.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-0015.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR1-001D.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR2-0000.mini2sf
psfpoint.exe -fade="%FADE%" NTR-AYWP-EUR2-0001.mini2sf

psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-0013.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-0016.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-0017.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-0018.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-0019.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-001A.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-001B.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-001C.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-001E.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-001F.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-0020.mini2sf
psfpoint.exe -fade="%PAD%" NTR-AYWP-EUR1-0021.mini2sf
psfpoint.exe -fade="%PAD% NTR-AYWP-EUR1-0022.mini2sf

GOTO:EOF

